lunes, 16 de abril de 2012

Instalar VLC 2.0 en Debian GNU/Linux

Hola a todos,

Quiero compartir con todos vosotros la forma de instalar VLC 2.0 en Debian Squeeze.

No creo que haga falta presentar VLC, ¿verdad? ;-)  En este mini tip vamos a instalar su última versión hasta la fecha, la 2.0 nombre en clave Twoflower. En esta nueva versión el equipo de VLC nos trae nuevas características, como mejor integración con OSX, nuevos codecs y soporte para reproducir discos Blu-ray, esto último especialmente útil para mí.

Bien, desde la web oficial del proyecto VideoLAN nos indican que VLC está disponible en Debian Squeeze en una versión anterior, concretamente la 1.1.3, pero no dicen nada al respecto de instalar la última versión. Así pues, nosotros instalaremos esta versión desde el repositorio Multimedia Backports. Este repositorio, a todas luces desconocido, es un repositorio que forma parte del repositorio Multimedia y que aloja software multimedia más actualizado para nuestro sistema Debian en la rama estable.

Sin embargo no debemos confundir el repositorio Multimedia Backports con el repositorio Backports "a secas". Podríamos decir que el repositorio Backports aloja versiones actualizadas de la paquetería que se encuentra en el repositorio normal de Debian, mientras que el repositorio Multimedia Backports aloja versiones actualizadas de la paquetería que se encuentra en el repositorio Multimedia. En este blog ya hemos hablado otras veces del repositorio Backports, como por ejemplo para instalar Iceweasel en su versión más reciente.

Así pues, manos a la obra. Editamos el  fichero de orígenes de software:

$ sudo nano /etc/apt/sources.list

Y añadimos la siguiente línea:

deb http://www.deb-multimedia.org squeeze-backports main

Una vez guardadas correctamente las modificaciones en el fichero, actualizamos el índice de paquetes:

$ sudo aptitude update

En caso de que se nos muestre un error de firmas, solo tendremos que instalar el paquete que lo soluciona:

$ sudo aptitude install deb-multimedia-keyring

Lo que hagamos a continuación dependerá de si tenemos la versión anterior de VLC instalada. Si no la tenemos haremos lo siguiente:

$ sudo aptitude install -t squeeze-backports  vlc

Y si ya tenemos la versión anterior procederemos de esta forma:

$ sudo aptitude safe-upgrade

¿Y el resultado?



Así pues, que no se diga que en la rama estable de Debian no se tiene software actualizado ;-)

Un saludo a todos, y que lo disfrutéis.

12 comentarios:

  1. gracias, acabo de instalar el debian, pero no podia reproducir algunos videos,lo probare en cuanto llegue a casa

    ResponderEliminar
  2. Respuestas
    1. Muchas gracias por esta informacion. Ese un tema gtk el de la captura? O es kde?

      Eliminar
  3. Muy bueno, gracias . Esta version es muy buena. Pero, una pregunta. Como lo pongo en español?

    ResponderEliminar
  4. @Pablo: gracias a ti compañero. Y la captura es KDE auténtico, nada de GTK ;-)

    @Miguel: pues debería haberse instalado en castellano compañero. en mi caso no he tenido que hacer ninguna modificación. Mira a ver si tiene que ver con que tienes un idioma distinto al castellano para el sistema.

    ResponderEliminar
  5. Como comentario, debes tener el apartado multimedia del debian squeeze en el repositorio para que funcione, gracias.

    ResponderEliminar
  6. Hola.
    Actualmente falla, hay que meter en /etc/apt/sources.list 2 repositorios, tal y como pone en la pagina del repositorio
    deb http://www.deb-multimedia.org squeeze main non-free
    deb http://www.deb-multimedia.org squeeze-backports main

    Con esto se hace update, se instalan las claves, y se puede instalar vlc.

    Gracias, sin este blog no hubiese conocido ese gran repositorio multimedia para debian.

    ResponderEliminar
  7. Muchísimas gracias a los dos, Anónimos ;-) El caso es que cuando escribí el artículo daba por hecho que tendríamos añadido el repositorio multimedia original, ya que, por lo menos yo, es lo primero que hago cuando instalo un Debian. No me imagino un Debian sin el repo Multimedia agregado ;-)

    No obstante, es cierto que tendría que haberlo puesto.

    Un saludo, y gracias de nuevo.

    ResponderEliminar
  8. Ojo con estos repositorios
    http://forum.videolan.org/viewtopic.php?f=13&t=70719

    Ademas no funciona la reproducción de mkv con este port.

    ResponderEliminar
  9. Gracias, me sirvió mucho. El vlc 1.1.3 me funcionaba mal y este anda de lujo :)
    Saludos desde Buenos Aires, Argentina.

    ResponderEliminar